parameters:
    pim_versioning.purger.version.class:                    Akeneo\Tool\Bundle\VersioningBundle\Purger\VersionPurger
    pim_versioning.purger.advisor.skip_first_version.class: Akeneo\Tool\Bundle\VersioningBundle\Purger\SkipFirstVersionPurgerAdvisor
    pim_versioning.purger.advisor.skip_last_version.class:  Akeneo\Tool\Bundle\VersioningBundle\Purger\KeepLastVersionPurgerAdvisor

services:
    # Purger
    pim_versioning.purger.version:
        class: '%pim_versioning.purger.version.class%'
        arguments:
            - '@pim_versioning.query.delete_versions_by_ids'
            - '@pim_versioning.query.get_all_resource_names'
            - '@pim_versioning.query.get_purgeable_version_list'

   # advisors
    pim_versioning.purger.advisor.skip_first_version:
        class: '%pim_versioning.purger.advisor.skip_first_version.class%'
        arguments:
            - '@pim_versioning.query.get_first_version_ids_by_ids'
        tags:
            - { name: pim_versioning.purger.advisor, priority: 80 }

    pim_versioning.purger.advisor.skip_last_version:
        class: '%pim_versioning.purger.advisor.skip_last_version.class%'
        arguments:
            - '@pim_versioning.query.get_latest_version_ids_by_ids'
        tags:
            - { name: pim_versioning.purger.advisor, priority: 90 }
